#! Flux2D 11.2

from math import *
import os
import sys
import shutil
import time 


displayIsovalues()
cleanInvalidPaths()

PathStraightLine2PTS(name='Path_1',
                     pathDiscretization=IntervalPathDiscretization(intervalNumber=50),
                     regionFace='CONDUCTOR',
                     color=Color['White'],
                     visibility=Visibility['VISIBLE'],
                     startPoint=PathPoint(coordSys=CoordSys['XY1'],
                                          uvw=['6', '0']),
                     endPoint=PathPoint(coordSys=CoordSys['XY1'],
                                        uvw=['6', '65']))


lastInstance = CompoundPath(name='CompoundPath_1',
             paths=[Path['PATH_1']],
             color=Color['Turquoise'],
             visibility=Visibility['VISIBLE'])

cleanInvalidPaths()

SpatialCurve(name='CURRENT_DENSITY',
             compoundPath=CompoundPath['COMPOUNDPATH_1'],
             formula=['ModV(J)'])


CurveSpatial2D['CURRENT_DENSITY'].exportTXT(txtFile='../result/TestCase_RES',
          mode='add')
                      
saveProjectAs('../ELECTRIC/postprocessed.FLU') 

time.sleep(30)



